Subject: Re: XCreateSimpleWindow and SIGSEGV
From: [email-masked] (GNU Win32)

16 May 1998 21:21:56 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Glynn Leo)
Cc: [email-masked]

Leo,

> 
> Thanx to Earnie 
> I've got my program Compiling 
> I found that XCreateSimpleWindow is giving me 
> SIGSEGV fault Anyone have the same problem
> Have compiled with mmalloc,downloaded the Latest Binaries on NT
> and search archives but to no avail
> Also have X-Server and DISPLAY set
> (Do get the warning message 
>     WinMainCRTStartup ; defaulting to 00401000 )
> 
> Anyone see any problem with the following ?

My guess is that you are not using the correct headers.
I saved your code to a file named xtest.c and compiled it like this
(egcs-1.02, NT4 SP3):

gcc -I/usr/X11R6.3/include -o xtest xtest.c /usr/X11R6.3/lib/libX11.a

and I get no SIGSEGV. However, if I compile it as:

gcc  -o xtest xtest.c /usr/X11R6.3/lib/libX11.a

it builds allright but gives the same SIGSEGV you got. When you
omit the  -I/usr/X11R6.3/include you are likely using the
X headers part of tcl/tk80, therefore the pointer incompatibility.

-- 
Arlindo da Silva    
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".